/**
** This software is distributed under the terms of the General Public License.  
** 
** Program : BuildIT!
** Version : 0.2
** Authors : Artur Prusakiewicz <prusak@mat.uni.torun.pl>
**	     Michal Switala <scisly@mat.uni.torun.pl>
** E-MAIL  : build@mat.uni.torun.pl
** WWW     : http://www.mat.uni.torun.pl/~scisly/buildit/
**           http://www.mat.uni.torun.pl/~prusak/buildit/
**/

#include "Button.h"

button::button(QWidget* parent,const char* name,bool checked):QWidget( parent, name, 0 )
{

  QButtonGroup *bg1,*bg2;
  bg1 = new QButtonGroup( this, "bg1" );
  bg1->setGeometry( 10, 10, 380, 280 );
  bg1->setFrameStyle( 49 );
  bg1->setAlignment( 1 );
  
  QLabel *l= new QLabel( this, "caption" );
  l->setGeometry( 20, 20, 80, 20 );
  l->setText( "caption" );
  l->setAlignment( 290 );
  l->setMargin( -1 );

  cap = new QLineEdit( this, "cap" );
  cap->setGeometry( 120, 20, 100, 20 );
  cap->setMaxLength(29);
  cap->setFrame( TRUE );

  bg2 = new QButtonGroup( this, "bg2" );
  bg2->setGeometry( 15, 45, 370,240  );
  bg2->setFrameStyle( 49 );
  bg2->setAlignment( 1 );  
  bg2->setTitle("Checkbox");

  l= new QLabel( this, "state" );
  l->setGeometry( 20, 65, 80, 20 );
  l->setText( "state" );
  l->setAlignment( 290 );
  l->setMargin( -1 );
  l->setEnabled(checked);

  state=new QCheckBox("checked",this,"state");
  state->setGeometry(120,65,60,20);
  state->setEnabled(checked);

  l= new QLabel( this, "group" );
  l->setGeometry( 20, 90, 80, 20 );
  l->setText( "CheckboxGroup" );
  l->setAlignment( 290 );
  l->setMargin( -1 );
  l->setEnabled(checked);

  group=new QComboBox(TRUE,this,"group");
  group->setGeometry(120,90,150,30);
  group->setEnabled(checked);
  connect(group,SIGNAL(activated(const char*)),SLOT(refresh(const char*)));

  QLabel *comment=new QLabel(this,"comment");
  comment->setGeometry(60,130,280,20);
  comment->setText("Members of this checkbox group");
  comment->setAlignment( AlignCenter);
  comment->setMargin( -1 );
  comment->setEnabled(checked);  

  cbglist=new QListBox(this,"cbglist");
  cbglist->setGeometry(60,150,280,120);
  cbglist->setEnabled(checked);

  resize( 400,300 );
}

void button::refresh(const char *val)
{ 
  MyTree *temptree;
  QString tmp,item;
  int i,nn=0; 
  bool change=FALSE;

  QString *names[30];
  for (i = 0; i < 30; i++) 
    names[i] = new QString(30);

  search->FindFeature(search, 5, QString(val), 1, names, nn);
  cbglist->clear();
  if(QString(val)!=QString(start_group))
    {
      item=QString("** this CheckBox  **");
      if(state->isChecked())
	{
	  item+=QString("  checked");
	  change=TRUE;
	}
    }
  for (i=0; i<nn; i++) 
    {
      tmp=QString(names[i]->data());
      item=tmp.right(tmp.length()-tmp.find(" ")-1);
      temptree=search->Find(&tmp.left(tmp.find(" ")));
      if(temptree->GetFeature2(20)==1)
	item+=QString("  checked");
      cbglist->insertItem((item.data()));
    }      
 
}

void button::setGroup(const char *val)
{
  int i;
  for(i=0;i<group->count();i++)
    {
      if(QString(group->text(i))==QString(val))
	{
	  group->setCurrentItem(i);
	  break;
	}
    }
  start_group=val;
  refresh(val);
}

button::~button()
{
}











